Bug 961055 - [abrt] gcr assertion abort at gkr_callback_invoke_bare()
[abrt] gcr assertion abort at gkr_callback_invoke_bare()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcr (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:d93d966857ec565bcb4f4213323...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 12:03 EDT by Aiden Neal
Modified: 2014-02-05 16:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:17:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.04 KB, text/plain)
2013-05-08 12:03 EDT, Aiden Neal
no flags Details
File: cgroup (130 bytes, text/plain)
2013-05-08 12:03 EDT, Aiden Neal
no flags Details
File: dso_list (15.45 KB, text/plain)
2013-05-08 12:03 EDT, Aiden Neal
no flags Details
File: environ (1.05 KB, text/plain)
2013-05-08 12:04 EDT, Aiden Neal
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-08 12:04 EDT, Aiden Neal
no flags Details
File: maps (71.63 KB, text/plain)
2013-05-08 12:04 EDT, Aiden Neal
no flags Details
File: open_fds (1.10 KB, text/plain)
2013-05-08 12:04 EDT, Aiden Neal
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-05-08 12:04 EDT, Aiden Neal
no flags Details

  None (edit)
Description Aiden Neal 2013-05-08 12:03:50 EDT
Description of problem:
I started Fedora, a moment after the desktop appeared the 'incident' happened.  I havn't used Evolution in months now since I installed Thunderbird to replace it, so I have no idea why it would even be running.

Version-Release number of selected component:
evolution-data-server-3.6.4-3.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-source-registry
core_backtrace: 
executable:     /usr/libexec/evolution-source-registry
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1
var_log_messages: May  7 20:27:50 localhost abrt[1665]: Saved core dump of pid 1626 (/usr/libexec/evolution-source-registry) to /var/tmp/abrt/ccpp-2013-05-07-20:27:49-1626 (58544128 bytes)
xsession_errors:
Comment 1 Aiden Neal 2013-05-08 12:03:52 EDT
Created attachment 745305 [details]
File: backtrace
Comment 2 Aiden Neal 2013-05-08 12:03:54 EDT
Created attachment 745306 [details]
File: cgroup
Comment 3 Aiden Neal 2013-05-08 12:03:57 EDT
Created attachment 745307 [details]
File: dso_list
Comment 4 Aiden Neal 2013-05-08 12:04:02 EDT
Created attachment 745308 [details]
File: environ
Comment 5 Aiden Neal 2013-05-08 12:04:04 EDT
Created attachment 745309 [details]
File: limits
Comment 6 Aiden Neal 2013-05-08 12:04:07 EDT
Created attachment 745310 [details]
File: maps
Comment 7 Aiden Neal 2013-05-08 12:04:09 EDT
Created attachment 745311 [details]
File: open_fds
Comment 8 Aiden Neal 2013-05-08 12:04:10 EDT
Created attachment 745312 [details]
File: proc_pid_status
Comment 9 Milan Crha 2013-05-09 02:36:20 EDT
Thanks for a bug report. The evolution-data-server serves as a source of address books and calendars for more processes than just evolution, which might be a reason why you see it crashing, even not using evolution as such.

I see this crash happened inside gcr package call, on some assertion, thus I'm moving it there.


Thread 1 (Thread 0x7fa8ed2a8700 (LWP 1634)):
#0  0x00007fa8fcf61ba5 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:63
        resultvar = 0
        pid = 1626
        selftid = 1634
#1  0x00007fa8fcf63358 in __GI_abort () at abort.c:90
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x0, sa_sigaction = 0x0}, sa_mask = {__val = {13199088, 254574465728, 140363793093620, 5, 0, 140363775028392, 7566047375150957203, 140363289392656, 254574465728, 82, 140363793119717, 0, 0, 140363289329736, 4294967295, 140363289329696}}, sa_flags = 1, sa_restorer = 0x124f1}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x0000003b45a69b37 in g_assertion_message (domain=domain@entry=0x3b60619592 "Gkr", file=file@entry=0x3b60619583 "gkr-callback.c", line=line@entry=153, func=func@entry=0x3b60619800 <__PRETTY_FUNCTION__.12849> "gkr_callback_invoke_bare", message=0x3b45ab7900 "code should not be reached", message@entry=0x0) at gtestutils.c:1877
        lstr = "153\000\250\177\000\000\345\071\a\376\250\177\000\000\a\000\000\000\000\000\000\000\000\230a`;\000\000"
        s = 0x7fa8e000f610 ""
#3  0x0000003b60607fa4 in gkr_callback_invoke_bare (cb=<optimized out>, res=<optimized out>) at gkr-callback.c:153
        type = <optimized out>
        __PRETTY_FUNCTION__ = "gkr_callback_invoke_bare"
#4  0x0000003b60609a06 in on_complete (op=0xbc3920) at gkr-operation.c:252
        cb = 0x7fa8e800ad50
#5  0x0000003b6060a8bf in gkr_operation_block_and_unref (op=0xbc3920) at gkr-operation.c:576
        reply = <optimized out>
        __PRETTY_FUNCTION__ = "gkr_operation_block_and_unref"
#6  0x0000003b60614730 in gnome_keyring_find_password_sync (schema=schema@entry=0x3e94a41260 <schema>, password=password@entry=0x7fa8ed2a7c98) at gnome-keyring.c:5223
        op = <optimized out>
        va = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fa8ed2a7c90, reg_save_area = 0x7fa8ed2a7bd0}}
        __PRETTY_FUNCTION__ = "gnome_keyring_find_password_sync"
#7  0x0000003e94815610 in e_authentication_session_lookup_password_sync (session=session@entry=0xbcd360, cancellable=cancellable@entry=0x0, password=password@entry=0x7fa8ed2a7ce0, error=error@entry=0x7fa8ed2a7d38) at e-authentication-session.c:1521
        result = <optimized out>
        uid = 0xc966f0 "1363145158.2782.17@localhost.localdomain"
        temp = 0x0
        __PRETTY_FUNCTION__ = "e_authentication_session_lookup_password_sync"
#8  0x0000003e94815b1f in authentication_session_execute_sync (session=0xbcd360, cancellable=0x0, error=0x7fa8ed2a7d38) at e-authentication-session.c:437
        authenticator = 0xbb9960
        session_result = <optimized out>
        auth_result = <optimized out>
        server = 0xb9e8c0
        source = <optimized out>
        prompt = <optimized out>
        password_string = <optimized out>
        allow_auth_prompt = <optimized out>
        label = <optimized out>
        source_uid = 0xc966f0 "1363145158.2782.17@localhost.localdomain"
        prompt_password = <optimized out>
        stored_password = 0x0
        success = <optimized out>
        local_error = 0x0
        __PRETTY_FUNCTION__ = "authentication_session_execute_sync"
#9  0x0000003e948150d2 in authentication_session_execute_thread (simple=0xc8ea40, object=0xbcd360, cancellable=0x0) at e-authentication-session.c:389
        async_context = 0xbcf320
        error = 0x0
#10 0x0000003b46e6dede in run_in_thread (job=<optimized out>, c=0x0, _data=0xc95490) at gsimpleasyncresult.c:869
        data = 0xc95490
        simple = 0xc8ea40
        source = <optimized out>
#11 0x0000003b46e5c2d6 in io_job_thread (data=0xbcdd90, user_data=<optimized out>) at gioscheduler.c:162
        job = 0xbcdd90
        result = <optimized out>
#12 0x0000003b45a6be22 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
        task = 0xbcdd90
        pool = 0x7fa8e8009ba0
#13 0x0000003b45a6b605 in g_thread_proxy (data=0x7fa8e8003b70) at gthread.c:797
        thread = 0x7fa8e8003b70
#14 0x00007fa8fd4efd15 in start_thread (arg=0x7fa8ed2a8700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7fa8ed2a8700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140363510220544, 784522523718700650, 0, 140363795267584, 140363510220544, 140363423587232, -742261329788940694, -742296200666558870}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#15 0x00007fa8fd01e48d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
No locals.
Comment 10 Fedora End Of Life 2013-12-21 08:26:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 16:17:03 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.